Bug 149987 - anaconda stops at pagage selektion
anaconda stops at pagage selektion
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 03:37 EST by Falko Pilz
Modified: 2008-04-21 11:32 EDT (History)
0 users

See Also:
Fixed In Version: RHEL4.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 11:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot from console (24.71 KB, application/pdf)
2006-08-18 17:26 EDT, E. Stuart
no flags Details

  None (edit)
Description Falko Pilz 2005-03-01 03:37:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
after supplying root password, anaconda popup's "...package..." and
the next is the Debug - request.
On ssh-session it tells:
Bitte zu 190.1.9.76:1 verbinden, um mit der Installation zu beginnen...
Grafische Installation wird gestartet...
XKB extension not present on :1
Traceback (most recent call last):
  File "/usr/src/build/500927-s390x/install//usr/lib/anaconda/gui.py",
line 789, in nextClicked
    self.dispatch.gotoNext()
  File
"/usr/src/build/500927-s390x/install//usr/lib/anaconda/dispatch.py",
line 171, in gotoNext
    self.moveStep()
  File
"/usr/src/build/500927-s390x/install//usr/lib/anaconda/dispatch.py",
line 239, in moveStep
    rc = apply(func, self.bindArgs(args))
  File
"/usr/src/build/500927-s390x/install//usr/lib/anaconda/packages.py",
line 205, in readPackages
    id.instClass.setGroupSelection(grpset, intf)
  File "/tmp/product/installclasses/rhel.py", line 31, in
setGroupSelection
    grpset.selectGroup("server", asMeta = 1)
  File "/usr/lib/anaconda/hdrlist.py", line 834, in selectGroup
    raise KeyError, "No such group %s" %(group,)
KeyError: 'No such group server'

Traceback (most recent call last):
  File "/usr/src/build/500927-s390x/install//usr/lib/anaconda/gui.py",
line 789, in nextClicked
    self.dispatch.gotoNext()
  File
"/usr/src/build/500927-s390x/install//usr/lib/anaconda/dispatch.py",
line 171, in gotoNext
    self.moveStep()
  File
"/usr/src/build/500927-s390x/install//usr/lib/anaconda/dispatch.py",
line 239, in moveStep
    rc = apply(func, self.bindArgs(args))
  File
"/usr/src/build/500927-s390x/install//usr/lib/anaconda/packages.py",
line 205, in readPackages
    id.instClass.setGroupSelection(grpset, intf)
  File "/tmp/product/installclasses/rhel.py", line 31, in
setGroupSelection
    grpset.selectGroup("server", asMeta = 1)
  File "/usr/lib/anaconda/hdrlist.py", line 834, in selectGroup
    raise KeyError, "No such group %s" %(group,)
KeyError: 'No such group server'

> /usr/lib/anaconda/hdrlist.py(834)selectGroup()
-> raise KeyError, "No such group %s" %(group,)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. after anaconda starts (on vnc)
2. supply automatic partition
3. suply networks
4. enter root password 
5. hit "next"
    

Actual Results:  crash / installation stops

Expected Results:  Upcoming packageselektion

Additional info:

I have recorded the vnc - session with vnc2swf so the "flshmovie" got
be send to you.
Comment 1 Falko Pilz 2005-03-02 08:03:10 EST
Hello,

It should be related on the nfs share. This error occurs when the
content of all 4 CD and the extras CD are copied to a solid NFS-Share.
After I used a share where the plain ISO-files lies, it goes excellent.

Regards 

Falko
Comment 2 Jeremy Katz 2005-03-14 12:04:04 EST
Yes, you can only have the base CDs in the directory.  This error case
should be handled a little bit better in U1.
Comment 3 E. Stuart 2006-08-18 17:26:11 EDT
Created attachment 134484 [details]
Screen shot from console
Comment 4 Joel Andres Granados 2008-04-21 10:29:14 EDT
I installed with the RHEL4-U6-re20071108.0-x86_64-AS-DVD-ftp.iso on a nfs share.
 did not see this issue pop up.

This still an issue with current RHEL4?

Note You need to log in before you can comment on or make changes to this bug.